Portplate API
Portplate로 개발하기
Portplate REST API로 앱을 통합하세요. 디자인 관리, 내보내기 자동화, 맞춤 워크플로를 구축할 수 있습니다.
API 키 받기인증
모든 API 요청에는 Authorization 헤더에 API 키가 필요합니다. 키 생성: Authorization 설정 → API 키.
curl https://portplate.com/api/designs \ -H "Authorization: Bearer pp_your_api_key_here"
기본 URL
https://portplate.com/api
엔드포인트
디자인
GET
/api/designs디자인 목록 조회 (페이지네이션, ?limit=20&offset=0)
POST
/api/designs새 디자인 만들기
GET
/api/designs/:idID로 디자인 조회
PATCH
/api/designs/:id제목, 태그, 공개 설정 수정
DELETE
/api/designs/:id디자인을 휴지통으로 이동
내보내기
POST
/api/exportsPNG/PDF 내보내기 대기열에 추가
GET
/api/exports/:id내보내기 상태 및 다운로드 URL 확인
템플릿
GET
/api/templates공개 템플릿 목록 조회
GET
/api/templates/:id템플릿 상세 조회
예시: 디자인 목록 조회
curl "https://portplate.com/api/designs?limit=5" \
-H "Authorization: Bearer pp_your_key"
# Response
{
"designs": [
{
"_id": "64ab1234...",
"title": "My Design",
"width": 1080,
"height": 1080,
"updatedAt": "2026-04-01T10:00:00Z"
}
],
"total": 42
}예시: 템플릿으로 디자인 만들기
curl -X POST "https://portplate.com/api/designs" \
-H "Authorization: Bearer pp_your_key" \
-H "Content-Type: application/json" \
-d '{
"title": "Product Promo",
"width": 1080,
"height": 1080,
"fromTemplate": "TEMPLATE_ID"
}'요청 제한
Free60 requests / minute
Pro300 requests / minute
Max1,000 requests / minute
요청 제한 상태는 X-RateLimit-* 헤더로 반환됩니다.